#1162 closed Bug / Defect (fixed-external)

Unable to start OpenVPN-AS on Desktop Ubuntu 18.04 due to absence of ifconfig/net-tools

Reported by: vics Owned by: jamesyonan
Priority: major Milestone:
Component: Access Server Version:
Severity: Not set (select this one, unless your'e a OpenVPN developer) Keywords:
Cc:

Description

Couldn't start Access Server on the desktop version of Ubuntu 18.04
The following error is thrown:

Error:
process started and then immediately exited: ['Fri Mar 1 12:00:20 2019 Linux ifconfig failed: could not execute external program']
service failed to start or returned error status

Usage of net-tools is considered to be deprecated on latest versions of Ubuntu (other distros too).
Sure, it's possible to manually install it, but it looks like additional overhead for end users.

Setup:

Access Server version:	2.6.1

lim@TempIXX:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 18.04.2 LTS
Release:	18.04
Codename:	bionic

Deb package from https://openvpn.net/downloads/openvpn-as-latest-ubuntu18.amd_64.deb

Attachments (1)

openvpnas.log (31.1 KB) - added by vics 17 months ago.

Download all attachments as: .zip

Change History (2)

Changed 17 months ago by vics

Attachment: openvpnas.log added

comment:1 Changed 13 months ago by novaflash

Resolution: fixed-external
Status: newclosed

Just reviewing and closing old tickets that were left open in the community site, although these were already copied into our internal tracking system and handled there.

We will be moving away from net-tools in the long term. For the short term, net-tools is still required until we have finished certain changes to Access Server that allow us to move away from it. I will close the ticket on the public community bug tracker so as not to bother the open source community with these tickets.

Note: See TracTickets for help on using tickets.